From: Drew Parsons <dparsons@debian.org>
Date: Tue, 3 Dec 2019 05:33:04 +0100
Subject: test: Skip mimetype symlink tests

symlinks are not preserved by pybuild (in .pybuild build dirs)

Forwarded: not-needed
---
 test/test_mime.py | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

diff --git a/test/test_mime.py b/test/test_mime.py
index cc10a3c..1b13f06 100644
--- a/test/test_mime.py
+++ b/test/test_mime.py
@@ -73,10 +73,11 @@ class MimeTest(MimeTestBase):
         self.check_mimetype(mystery_exe, 'application', 'executable')
         
         # Symlink
-        self.check_mimetype(Mime.get_type(example_file("png_symlink")),
-                                    'image', 'png')
-        self.check_mimetype(Mime.get_type(example_file("png_symlink"), follow=False),
-                                    'inode', 'symlink')
+        print("test-mime.py::test_get_type: skip symlink tests")
+        #self.check_mimetype(Mime.get_type(example_file("png_symlink")),
+        #                            'image', 'png')
+        #self.check_mimetype(Mime.get_type(example_file("png_symlink"), follow=False),
+        #                            'inode', 'symlink')
 
     def test_get_type2(self):
         # File that doesn't exist - use the name
@@ -113,10 +114,11 @@ class MimeTest(MimeTestBase):
         self.check_mimetype(mystery_exe, 'application', 'executable')
         
         # Symlink
-        self.check_mimetype(Mime.get_type2(example_file("png_symlink")),
-                                    'image', 'png')
-        self.check_mimetype(Mime.get_type2(example_file("png_symlink"), follow=False),
-                                    'inode', 'symlink')
+        print("test-mime.py::test_get_type2: skip symlink tests")
+        #self.check_mimetype(Mime.get_type2(example_file("png_symlink")),
+        #                            'image', 'png')
+        #self.check_mimetype(Mime.get_type2(example_file("png_symlink"), follow=False),
+        #                            'inode', 'symlink')
     
     def test_lookup(self):
         pdf1 = Mime.lookup("application/pdf")
